Subject: bug#48073: [External] : bug#48073: 27.2; [Eglot] Don't bind `completion-styles' buffer locally?

From: João Távora <[email-masked]>
Date: Tue, 27 Apr 2021 23:10:46 +0100

On Tue, Apr 27, 2021 at 11:06 PM Drew Adams <[email-masked]> wrote:

> Apologies for not following this thread more closely.
> I thought this was about (connected to) the proposal
> to make the global minibuffer variables, such as
> `minibuffer-completion-table' buffer-local to the
> minibuffer buffer.

No prob!  Don't know anything about that other one.

> > PS: Have you tried Eglot?  I wonder if Icicles works with it.  I admit
> > I've never tried Icicles myself, last time I tried was about 2006, but
> > i didn't even know how to load extensions very well.
>
> No, I haven't tried Eglot.  And it's quite likely that
> Icicles doesn't work with it.

Why do you say that?  Does Icicles support the "normal"
completion tables that come with Emacs?

> I don't claim that Icicles is at all typical wrt how it
> uses the minibuffer completion table (or other things).
> Not at all.  More and more things change in Emacs, so
> that my code works less and less.  I used to find the
> time and the will to try to keep afloat.  I no longer do.

How gloomy and beautiful.  You should come to Portugal
to write odes of decadence to the Atlantic ocean.

João